<?xml version='1.0' encoding="iso-8859-1"?>
<xsl:stylesheet
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:d="http://docbook.org/ns/docbook"
version="1.0">
<!--

MODULE
======

transformation en plusieurs fichiers html

TODO
====

robot policy

do not show book/info

EVOLUTIONS
==========

$Id$


- fplod 2009-05-15T10:42:45Z aedon.locean-ipsl.upmc.fr (Darwin)
  * creation

-->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/1.74.3/xhtml/chunk.xsl"/>

<xsl:output method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="no"
doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
<xsl:param name="chunker.output.omit-xml-declaration">no</xsl:param>
<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
<xsl:param name="chunker.output.indent">yes</xsl:param>
<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>

<xsl:param name="chunk.first.sections" select="0"/>
<xsl:param name="chunk.section.depth" select="0"/>
<xsl:param name="use.id.as.filename" select="1"/>
<xsl:param name="css.decoration">1</xsl:param>
<xsl:param name="chapter.autolabel" select="0"/>
<xsl:param name="section.autolabel" select="0"/>

<xsl:param name="generate.toc">
book toc,figure,table
chapter nop
sect1 nop
sect2 nop
sect3 nop
sect4 nop
</xsl:param>

<!--
special moche (NOM) et manque les diteurs ++
<xsl:param name="bibliography.style">iso690</xsl:param>
-->

<!--
d'aprs chunk-code.xsl
template suivant pour forage des chemins des fichiers "images"
si dans le source xml on crit
<imagedata fileref="Nasa_langley.jpg" .../>
on aura dans le html
<img src="../../images/Nasa_langley.jpg" ... >
tout a  cause de la gestion des "." dans chunk-code.xsl
c'est un peu violent mais je ne comprends pas comment fonctionne
<xsl:template name="relative-uri"> de common/common.xsl
-->
<xsl:template match="@fileref">
 <xsl:value-of select="concat('../../images/',.)"/>
</xsl:template>

<!--
do not show book/info ++
-->
<xsl:template match="/d:book/d:info">
<xsl:message terminate="no">
/d:book/d:info
</xsl:message>
</xsl:template>
<xsl:template match="d:book/d:info">
<xsl:message terminate="no">
d:book/d:info
</xsl:message>
</xsl:template>
<xsl:template match="//d:book/d:info">
<xsl:message terminate="no">
//d:book/d:info
</xsl:message>
</xsl:template>
<xsl:template match="d:info">
<xsl:message terminate="no">
d:info
</xsl:message>
</xsl:template>

<xsl:template match="info">
<xsl:message terminate="no">
info
</xsl:message>
</xsl:template>

<xsl:template name="user.head.content">
 <meta name="robots">
  <xsl:attribute name="content">noindex,nofollow,noarchive</xsl:attribute>
 </meta>
</xsl:template>

</xsl:stylesheet>
